const fs = require('fs');
const path = require('path');

const loadAds = () => {
    let ads = [];
    try {
        const adsData = fs.readFileSync(path.join(__dirname, '../../ads.json'), 'utf8');
        ads = JSON.parse(adsData);
        console.log('Skrip iklan dan analitik berhasil dimuat dari ads.json.');
    } catch (err) {
        console.error('Gagal memuat skrip iklan dan analitik dari ads.json:', err.message);
    }

    const headerAds = ads.filter(ad => ad.type === 'header').map(ad => ad.script).join('');
    const bodyAds = ads.filter(ad => ad.type === 'body').map(ad => ad.script).join('');

    return { headerAds, bodyAds };
};

module.exports = loadAds;